﻿<%@ Page Language="C#" %>
<%@ import Namespace="System.Data" %>
<%@ import Namespace="System.Data.OleDb" %>
<script runat="server">

    //připojovací řetězec
          string conStr = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=K:\\aspdotnet.mdb";
    
          void Page_Load() {
            //vytvoření nového spojení
            OleDbConnection conn = new OleDbConnection(conStr);
            //SQL příkaz
            string SQLdotaz = "SELECT * FROM Pracovníci";
    
            OleDbCommand command1 = new OleDbCommand(SQLdotaz, conn);
    
            OleDbDataAdapter da = new OleDbDataAdapter();//Vytvořit objekt OleDbDataAdapter
            DataSet ds = new DataSet("Firma"); //vytvořit objekt DataSet
    
            conn.Open(); //otevření spojení
            da.SelectCommand = command1; //Nastavit vlastnost SelectCommand
            da.Fill(ds, "pracovnici"); //naplnit tabulku pracovnici načtenými daty
            conn.Close();   //zavření spojení
    
            DataView dw = new DataView(ds.Tables["pracovnici"]);
    
            Repeater1.DataSource = dw;
            Repeater1.DataBind();
    
          }

</script>
<html>
<head>
  <title>Ovládací prvek Repater</title>
</head>
<body>
    <form runat="server">
        <h3>Použití ovládacího prvku Repeater</h3><hr>
        <asp:Repeater id="Repeater1" runat="server">
        
        <HeaderTemplate>
          <table> <!-- Záhlaví seznamu -->
          <tr>
            <th align="left" width = "20">ID</th>
            <th align="left" width = "50">Jméno</th>
            <th align="left" width = "50">Příjmeni</th>
            <th align="left" width = "120">Funkce</th>
            <th align="left" width = "20">Vzdělání</th>
          <tr>
        </HeaderTemplate>
        
        <ItemTemplate> <!-- Vypsání jednoho záznamu -->
          <tr bgColor = "#99ccff">
            <td><%#DataBinder.Eval(Container.DataItem, "id")%></td>
            <td><%#DataBinder.Eval(Container.DataItem, "jmeno")%></td>
            <td><%#DataBinder.Eval(Container.DataItem, "Prijmeni")%></td>
            <td><%#DataBinder.Eval(Container.DataItem, "funkce")%></td>
            <td><%#DataBinder.Eval(Container.DataItem, "vzdelani")%></td>
          <tr>
        </ItemTemplate>
        
        <AlternatingItemTemplate> <!-- Vypsání dalšího záznamu jinou barvou-->
          <tr bgColor = "#cccc00">
            <td><%#DataBinder.Eval(Container.DataItem, "id")%></td>
            <td><%#DataBinder.Eval(Container.DataItem, "jmeno")%></td>
            <td><%#DataBinder.Eval(Container.DataItem, "Prijmeni")%></td>
            <td><%#DataBinder.Eval(Container.DataItem, "funkce")%></td>
            <td><%#DataBinder.Eval(Container.DataItem, "vzdelani")%></td>
          <tr>
        </AlternatingItemTemplate>
        
        <SeparatorTemplate> <!-- Vypsání separátoru-->
         <tr>
           <td Colspan = "5"><hr width = "80%"></td>
         </tr>
        </SeparatorTemplate>
        
        <FooterTemplate><!-- Zápatí seznamu -->
           </table>
        </FooterTemplate>
        
        </asp:Repeater>
    </form>
</body>
</html>