﻿<%@ Page Language="C#" %>
<script runat="server">

    //pole hodnot, které se zobrazí v jednostlivých seznamech
    string [] kategorieZbozi = {"Kouzelnická zvířata", "Dopravní prostředky", "Vybavení kouzelnické dílny"};
    string [] druhyZbozi1 = {"Černý kocour", "Netopýr", "Ropucha"};
    string [] druhyZbozi2 = {"Létající koště", "Létající koberec", "Sedmimílové boty"};
    string [] druhyZbozi3 = {"Křišťálová koule", "Kouzelná hůlka", "Zázračný prsten", "Neviditelný plášť"};
    
    void Page_Load() {
       if (!IsPostBack) { //při prvním načtewní stránky
         kategorie.DataSource = kategorieZbozi; // do prvního seznamu vložit kategorie
         zbozi.DataSource = druhyZbozi1; //do druhého seznamu vložit první hodnoty zboží
    
         kategorie.DataBind(); //aktualizovat obsah seznamů
         zbozi.DataBind();
       }
    }
    
    void zmenaKategorie(object sender, EventArgs e){//při změně kategorie
       switch (kategorie.SelectedIndex) { //zjistit vybranou kategorii
         case 0: zbozi.DataSource = druhyZbozi1; //a do druhého seznamu vložit příslušné zboží
                 break;
         case 1: zbozi.DataSource = druhyZbozi2;
                 break;
         case 2: zbozi.DataSource = druhyZbozi3;
                 break;
         }
         zbozi.DataBind(); //aktualizovat obsah druhého seznamu
    
    }
    
    void pridatDoKosiku(object sender, EventArgs e){
       kosik.Text += "<br> "+zbozi.SelectedItem.Text;//do košíku přidat vybrané zboží
    }

</script>
<html>
    <head>
       <title>Kouzelnický obchodní dům</title>
    </head>
    <body>
        <h2>Vítejte v kouzelnickém obchodním domě.</h2>
        <hr>
        Vyberte si z naší bohaté nabídky zboží.
        <form runat="server">
           Kategorie: 
           <asp:DropDownList id = "kategorie" OnSelectedIndexChanged = "zmenaKategorie" AutoPostBack = "true" runat="server"/>
           <p> Druh Zboží:
           <asp:DropDownList id = "zbozi" runat="server"/>
           <asp:Button OnClick = "pridatDoKosiku" Text = "Přidat do košíku" runat="server"/>
           <p>Už jste si vybrali:<br>
           <asp:Label id="kosik" runat="server"/>
        </form>
    </body>
</html>
