﻿<%@ Page %>
<html>
<head>
  <title>Souhrnné zobrazení výsledků ověření</title>
</head>
<body>

   <h2>Používání ovládacího prvku ValidationSummary </h2>
   <hr>

   <form runat="server"> 
  
      <asp:ValidationSummary DisplayMode = "bulletList" HeaderText= "V zadaných údajích jsou chyby:" display = "Dynamic" runat="server"></asp:ValidationSummary>
      Zadejte prosím následující údaje:
      <p>
      <table bgColor = "#66ccff">
        <tr>
          <td>
           Jméno:
          </td>
          <td>
            <asp:TextBox id="jmenoEdit" Text="" runat="server"/>
            <asp:RequiredFieldValidator id="Validator" ControlToValidate = "jmenoEdit" ControlToCompare="jmenoEdit" display = "Dynamic" ErrorMessage= "Jméno je povinné" Text="*" runat="server"/>
          </td>
        </tr>  
        <tr>
          <td>
            Heslo:
          </td>
          <td>
           <asp:TextBox id="hesloEdit" Text="" runat="server"/>
           <asp:CompareValidator id="Validator1" ControlToValidate = "hesloEdit" ControlToCompare="jmenoEdit" display = "Dynamic" ErrorMessage= "Heslo a jméno se nesmí shodovat" Text="*" Operator="NotEqual" runat="server"/>
          </td>
        </tr>             
        <tr>
          <td>
            Potvrzení hesla:
          </td>
          <td>
            <asp:TextBox id="hesloEdit2" Text="" runat="server"/>
            <asp:CompareValidator id="Validator2" ControlToValidate="hesloEdit2" ControlToCompare="hesloEdit" display = "Dynamic" Operator="Equal" ErrorMessage= "Je nutné zadat dvakrát stejné heslo" Text="*" runat="server"/>
          </td>
        </tr>             
        <tr>
          <td>
            Rodné číslo:
          </td>
          <td>
            <asp:TextBox id="rodneEdit" Text="" runat="server"/>
            <asp:RegularExpressionValidator id="Validator3" ControlToValidate = "rodneEdit" ValidationExpression="\d{6}/\d{4}" display = "Dynamic" ErrorMessage= "Špatný formát rodného čísla" Text="*" runat="server"/>
          </td>
        </tr>             
      </table>  
     
      <p>
      <asp:Button id="Button1" runat="server" Text="Odeslat"/>

   </form>

</body>
</html>
