﻿<%@ Page Language="C#" %>
<script runat="server">

    void submit(object sender, EventArgs e) {
         if (!Page.IsValid) { //jestliže je na stránce chyba
           label1.Text = "Následující ovládací prvky obsahují neplatné údaje: <br>";
                         //projít všechny validační prvky
           foreach (BaseValidator validator in Validators) {
             if (!validator.IsValid) { //a ty, které neobsahují platnou hodnotu
                                       //vypsat na stránku
               label1.Text += validator.ControlToValidate + "<br>";
             }
           }
         }
    
         else
           label1.Text = "Všechny zadané údaje jsou platné!";
    
    }

</script>
<html>
<head>
  <title>Ověřování údajů na serveru</title>
</head>
<body>
   <form runat="server"> 
      <asp:Label id="label1" font-name="Verdana" font-size="10" runat="server"/>

      <p>
      Zadejte prosím následující údaje:
      <table bgColor = "#66ccff">
        <tr>
          <td>
           Jméno:
          </td>
          <td>
            <asp:TextBox id="jmenoEdit" Text="" runat="server"/>
            <asp:RequiredFieldValidator EnableClientScript="false" id="Validator" ControlToValidate = "jmenoEdit" ControlToCompare="jmenoEdit" display = "Dynamic" ErrorMessage= "Jméno je povinné" Text="*" runat="server"/>
          </td>
        </tr>  
        <tr>
          <td>
            Heslo:
          </td>
          <td>
           <asp:TextBox id="hesloEdit" Text="" runat="server"/>
           <asp:CompareValidator EnableClientScript="false" id="Validator1" ControlToValidate = "hesloEdit" ControlToCompare="jmenoEdit" display = "Dynamic" ErrorMessage= "Heslo a jméno se nesmí shodovat" Text="*" Operator="NotEqual" runat="server"/>
          </td>
        </tr>             
        <tr>
          <td>
            Potvrzení hesla:
          </td>
          <td>
            <asp:TextBox id="hesloEdit2" Text="" runat="server"/>
            <asp:CompareValidator EnableClientScript="false" id="Validator2" ControlToValidate="hesloEdit2" ControlToCompare="hesloEdit" display = "Dynamic" Operator="Equal" ErrorMessage= "Je nutné zadat dvakrát stejné heslo" Text="*" runat="server"/>
          </td>
        </tr>             
        <tr>
          <td>
            Rodné číslo:
          </td>
          <td>
            <asp:TextBox id="rodneEdit" Text="" runat="server"/>
            <asp:RegularExpressionValidator EnableClientScript="false" id="Validator3" ControlToValidate = "rodneEdit" ValidationExpression="\d{6}/\d{4}" display = "Dynamic" ErrorMessage= "Špatný formát rodného čísla" Text="*" runat="server"/>
          </td>
        </tr>             
      </table>  
     
      <p>
      <asp:Button id="Button1" onClick="submit" runat="server" Text="Odeslat"/>

   </form>

</body>
</html>