﻿<%@ Page Language="C#" %>
<%@ import Namespace="System.Data" %>
<%@ import Namespace="System.Data.OleDb" %>
<script runat="server">

    //připojovací řetězec
          string conStr = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=K:\\aspdotnet.mdb";
          DataSet ds; //DataSet obsahující data z databáze
    
          void Page_Load() {
    
            if(Session["dataSet"]==null){ //DataSet ještě nexistuje -> Vytvořit nový
    
              //vytvoření nového spojení
              OleDbConnection conn = new OleDbConnection(conStr);
              //SQL příkaz
              string vyberVse = "SELECT * FROM Pracovníci  where jmeno=\"Václav\"";
    
              OleDbCommand command1 = new OleDbCommand(vyberVse, conn);
    
              OleDbDataAdapter da = new OleDbDataAdapter();//Vytvořit objekt OleDbDataAdapter
              ds = new DataSet("Firma"); //vytvořit objekt DataSet
    
              conn.Open(); //otevření spojení
              da.SelectCommand = command1; //Nastavit vlastnost SelectCommand
              da.Fill(ds, "pracovnici"); //naplnit tabulku pracovnici načtenými daty
              conn.Close();   //zavření spojení
              Session["dataSet"]=ds; //uložit DataSet, abychom jej mohli při dalším načtení stránky znova použít.
            }
            else {
              ds = (DataSet)Session["dataSet"]; //DataSet již existuje -> použít jej
            }
    
            if (!IsPostBack){ //při prvním načtení stránky svázat DataList s Daty v tabulce
              DataList1.DataSource = ds.Tables["pracovnici"];
              DataList1.DataBind();
            }
    
          }
    
          void DataList1_EditCommand(Object source, DataListCommandEventArgs e) {
            DataList1.EditItemIndex = (int)e.Item.ItemIndex; //nastvavit, která položka se
                                                            //má zobrazit v editačním režimu
            DataList1.DataSource = ds.Tables["pracovnici"]; //znovu svázat DataList se zdrojem dat
            DataList1.DataBind();
          }
    
          void DataList1_DeleteCommand(Object source, DataListCommandEventArgs e) {
            //Zjistit číslo záznamu
            string item = ((Label)e.Item.FindControl("Label1")).Text;
    
            DataView dw = new DataView(ds.Tables[0]); //vytvořit nový pohled na data
            dw.RowFilter = "id='"+item+"'";//nastavit filtr na požadovanou položku
    
            if (dw.Count > 0) //zvolená položka existuje
              dw.Delete(0); //vymazat první (a jediný) řádek
    
           dw.RowFilter = ""; //odebrat filtr
    
           DataList1.EditItemIndex = -1; //ukončit editaci
            //znovu svázat DataList se zdrojem dat
           DataList1.DataSource = ds.Tables["pracovnici"];
           DataList1.DataBind();
          }
    
          void DataList1_CancelCommand(Object source, DataListCommandEventArgs e) {
            DataList1.EditItemIndex = -1; //už nechceme editovat žádnou položku
            //znovu svázat DataList se zdrojem dat
            DataList1.DataSource = ds.Tables["pracovnici"];
            DataList1.DataBind();
          }
    
          void DataList1_UpdateCommand(Object source, DataListCommandEventArgs e) {
    
             //Zjistit nové hodnoty
             string idStr = ((Label)e.Item.FindControl("Label1")).Text;
             string jmenoStr = ((TextBox)e.Item.FindControl("Text1")).Text;
             string prijmeniStr = ((TextBox)e.Item.FindControl("Text2")).Text;
             string funkceStr = ((TextBox)e.Item.FindControl("Text3")).Text;
             string vzdelaniStr = ((TextBox)e.Item.FindControl("Text4")).Text;
    
    
             DataView dw = new DataView(ds.Tables[0]); //vytvořit pohled na data
    
             dw.RowFilter = "id='"+idStr+"'";  //nastavit filtr tak, aby pohled obsahoval jen vybraný záznam
    
             if (dw.Count > 0){ //vybraný záznam v tabulce existuje
                dw[0].BeginEdit(); //Zahájit úpravy
                dw[0]["jmeno"]=jmenoStr; //změnit hodnoty
                dw[0]["Prijmeni"]=prijmeniStr;
                dw[0]["funkce"]=funkceStr;
                dw[0]["vzdelani"]=vzdelaniStr;
                dw[0].EndEdit();//potvrdit změny
             }
    
             dw.RowFilter = ""; //odebrat nastavený filtr
    
            DataList1.EditItemIndex = -1; //ukončit režim editace
            DataList1.DataSource = ds.Tables["pracovnici"]; //znovu svázat DataList se zdrojem dat
            DataList1.DataBind();
          }

</script>
<html>
<head>
  <title>Ovládací prvek DataList</title>
</head>
<body>
    <form runat="server">
        <asp:DataList id="DataList1" 
                      runat="server" 
                      OnEditCommand="DataList1_EditCommand" 
                      OnDeleteCommand="DataList1_DeleteCommand" 
                      OnCancelCommand="DataList1_CancelCommand" 
                      OnUpdateCommand="DataList1_UpdateCommand">
            
            <HeaderTemplate>
                <table>
                    <tr>
                        <th align="left" width= "20">ID</th>
                        <th align="left" width= "50">Jméno</th>
                        <th align="left" width= "50">Příjmeni</th>
                        <th align="left" width= "120">Funkce</th>
                        <th align="left" width= "20">Vzdělání</th>
                        <th align="left" width= "50"></th>
                    </tr>
            </HeaderTemplate>
            
            <EditItemTemplate>
                <tr bgColor="#ffffcc">
                    <td  colspan= "5">
                       ID:  
                       <asp:Label id="Label1" Text='<%#DataBinder.Eval(Container.DataItem, "ID")%>' runat="server"/>
                       <br> Jméno: 
                       <asp:TextBox id="Text1" Text='<%# DataBinder.Eval(Container.DataItem, "jmeno") %>' runat="server"/>
                       <br> Příjmení: 
                       <asp:TextBox id="Text2" Text='<%# DataBinder.Eval(Container.DataItem, "Prijmeni") %>' runat="server"/>
                       <br> Funkce: 
                       <asp:TextBox id="Text3" Text='<%#DataBinder.Eval(Container.DataItem, "funkce")%>' runat="server"/>
                       <br> Vzdelani: 
                       <asp:TextBox id="Text4" Text='<%#DataBinder.Eval(Container.DataItem, "vzdelani")%>' runat="server"/>
                       <br> <asp:LinkButton id="button2" Text="Aktualizovat" CommandName="update" runat="server" />
                       <asp:LinkButton id="button3" Text="Vymazat" CommandName="delete" runat="server" />
                       <asp:LinkButton id="button4" Text="Zpět" CommandName="cancel" runat="server" />
                     </td>
                  </tr>
            </EditItemTemplate>
            
            <ItemTemplate>
                <tr bgcolor= "#99ccff">
                    <td>
                        <%#DataBinder.Eval(Container.DataItem, "id")%></td>
                    <td>
                        <%#DataBinder.Eval(Container.DataItem, "jmeno")%></td>
                    <td>
                        <%#DataBinder.Eval(Container.DataItem, "Prijmeni")%></td>
                    <td>
                        <%#DataBinder.Eval(Container.DataItem, "funkce")%></td>
                    <td>
                        <%#DataBinder.Eval(Container.DataItem, "vzdelani")%></td>
                    <td>
                        <asp:LinkButton CommandName= "edit" runat="server">Upravit... </asp:LinkButton>
                    </td>
                </tr>
            </ItemTemplate>
            
            <SeparatorTemplate>
                <tr>
                    <td colspan= "5">
                        <hr width= "80%" />
                    </td>
                </tr>
            </SeparatorTemplate>
            <FooterTemplate>
                </table>
            </FooterTemplate>
        
        </asp:DataList>
    </form>
</body>
</html>